@import '~@angular/material/theming';

@mixin mmd-app-component-theme($theme) {
  $primary: map-get($theme, primary);
  $accent: map-get($theme, accent);
  $warn: map-get($theme, warn);

  mat-sidenav-container {
    mat-toolbar {
      button {
        &.active {
          color: mat-color($accent, default-contrast);
          background-color: mat-color($accent);
        }
      }

      .link {
        color: mat-color($primary, default-contrast);
      }
    }

    mat-sidenav {
      .mat-list-item {
        &.active {
          color: mat-color($accent, default-contrast);
          background-color: mat-color($accent) !important;

          &:hover {
            background-color: mat-color($accent, darker) !important;
          }
        }
      }
    }

    .footer {
      color: mat-color($primary, lighter);
      background-color: mat-color($primary, darker);

      .links,
      .signature {
        a {
          color: mat-color($primary, lighter);
          &:hover {
            color: mat-color($accent);
          }
        }
      }
    }
  }

  .error-notification-overlay {
    color: mat-color($warn, default-contrast);
    background-color: mat-color($warn);
  }

  .info-notification-overlay {
    color: mat-color($accent, default-contrast);
    background-color: mat-color($accent);
  }

  .success-notification-overlay {
    color: mat-color($success-colors, default-contrast);
    background-color: mat-color($success-colors);
  }

  .warning-notification-overlay {
    color: mat-color($warning-colors, default-contrast);
    background-color: mat-color($warning-colors);
  }
}
